Name: x11-driver-input-wacom
Version: 0.10.11
Release: %mkrel 3
Summary: X.org input driver for Wacom tablets
Group: System/X11
URL: http://www.x.org/
Source0: http://prdownloads.sourceforge.net/linuxwacom/xf86-input-wacom-%{version}.tar.bz2
License: GPLv2+
BuildRoot: %{_tmppath}/%{name}-%{version}

BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: libxi-devel
BuildRequires: libxrandr-devel

Requires: x11-server-common %(xserver-sdk-abi-requires xinput)

Obsoletes: linuxwacom <= 0.8.4
Provides: linuxwacom = %{version}-%{release}


%description
X.Org X11 wacom input driver for Wacom tablets.

%package devel
Summary: Development files for %{name}
Group: Development/X11
License: MIT

Obsoletes: %{_lib}wacom-devel <= 0.8.4
Provides: %{_lib}wacom-devel = %{version}-%{release}

%description devel
Development files for %{name}

%prep
%setup -q -n xf86-input-wacom-%{version}

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/xsetwacom
%{_bindir}/isdv4-serial-debugger
%{_libdir}/xorg/modules/input/wacom_drv.la
%{_libdir}/xorg/modules/input/wacom_drv.so
%{_mandir}/man4/wacom.4*
%{_mandir}/man1/xsetwacom.1*
%{_datadir}/X11/xorg.conf.d/50-wacom.conf

%files devel
%{_includedir}/xorg/*
%{_includedir}/xorg/isdv4.h
%{_libdir}/pkgconfig/xorg-wacom.pc






%changelog
* Thu Mar 24 2011 boklm <boklm> 0.10.11-3.mga1
+ Revision: 76220
- rebuild for bug #497

* Fri Mar 04 2011 tv <tv> 0.10.11-2.mga1
+ Revision: 64384
- rebuild for new xserver-1.10

* Fri Mar 04 2011 tv <tv> 0.10.11-1.mga1
+ Revision: 63981
- new release (fix running with xserver-1.10)

* Wed Feb 09 2011 ennael <ennael> 0.10.10-1.mga1
+ Revision: 49556
- imported package x11-driver-input-wacom


* Sun Jan 16 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.10.10-1mdv2011.0
+ Revision: 631153
- new version

* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 0.10.8-3mdv2011.0
+ Revision: 595759
- require xorg server with proper ABI

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 0.10.8-2mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9
- new release
- drop patch0 (merged upstream)
- adjust file list
- manuall install HAL file for now

* Thu May 06 2010 Frederic Crozat <fcrozat@mandriva.com> 0.10.6-1mdv2010.1
+ Revision: 542957
- Release 0.10.6

* Tue Apr 13 2010 Frederic Crozat <fcrozat@mandriva.com> 0.10.5-1mdv2010.1
+ Revision: 534186
- Release 0.10.5

* Mon Mar 15 2010 Frederic Crozat <fcrozat@mandriva.com> 0.10.4-4mdv2010.1
+ Revision: 519826
- Patch0 (Ubuntu forums): add support for N-Trig hardware

* Thu Feb 25 2010 Frederic Crozat <fcrozat@mandriva.com> 0.10.4-3mdv2010.1
+ Revision: 511132
- force rebuild
- force rebuild
- import x11-driver-input-wacom


